import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

export default new VueRouter({
    routes: [
        // {
        //     path: '/',
        //     name: 'home',
        //     component: require('./views/Home')
        // },
        {
            path: '/proveedores',
            name: 'proveedores',
            component: require('./views/Proveedores').default,
        },
        {
            path: '/proveedores/:id',
            name: 'proveedor',
            component: require('./views/Proveedor').default,
            props: true
        },
        {
            path: '*',
            component: require('./views/404').default
        }
    ],
    mode: 'history'
});